Name:          struts-master
Version:       8
Release:       %mkrel 7
Summary:       Master pom file for Apache struts projects
Group:         Development/Java
License:       ASL 2.0
URL:           http://struts.apache.org/
# http://svn.apache.org/repos/asf/struts/maven/tags/STRUTS_MASTER_8/pom.xml
Source0:       struts-master-pom.xml

BuildArch:     noarch

BuildRequires: jpackage-utils

Requires:      maven-release-plugin
Requires:      jpackage-utils
Requires:      java

%description
The goal of the Apache Struts project is to encourage application 
architectures based on the "Model 2" approach, a variation of the classic 
Model-View-Controller (MVC) design paradigm. Under Model 2, a servlet (or 
equivalent) manages business logic execution, and presentation logic 
resides mainly in server pages.

This package contains the master pom file for the apache struts project.

%prep

%build

%install

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE0} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom

%files -f .mfiles


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 8-7.mga6
+ Revision: 951890
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 daviddavid <daviddavid> 8-6.mga5
+ Revision: 809455
- use .mfiles generated during build
- fix Group
- remove no longer needed %%post and %%postun for maven_depmap

* Wed Oct 15 2014 umeabot <umeabot> 8-5.mga5
+ Revision: 750901
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 8-4.mga5
+ Revision: 689562
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 8-3.mga4
+ Revision: 519259
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 8-2.mga3
+ Revision: 383568
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 18 2011 gil <gil> 8-1.mga2
+ Revision: 156363
- imported package struts-master

